data:extend(
{

	{
		type = "ammo",
		name = "train-gun-ammo",
		icon = "__traingun__/graphics/icons/train-gun-ammo.png",
		icon_size = 32,
		ammo_type =
		{
			category = "vehicle",
			target_type = "direction",
			action =
			{
				type = "direct",
				action_delivery =
				{
					type = "projectile",
					projectile = "train-bullet",
					starting_speed = 0.5,
					direction_deviation = 0,
					range_deviation = 0,
					max_range = 100,
				}
			}
		},
		magazine_size = 1,
		subgroup = "ammo",
		order = "u[train-gun-ammo]",
		stack_size = 200
    },
	
	
	
    {
    type = "gun",
    name = "train-gun",
    icon = "__traingun__/graphics/icons/train-gun.png",
	icon_size = 32,
    subgroup = "gun",
    order = "u[train-gun]",
    attack_parameters =
		{
		type = "projectile",
		ammo_category = "vehicle",
		cooldown = 30,
		movement_slow_down_factor = 0,
		damage_modifier = 1,
		projectile_creation_distance = 1,
		range = 80,
		sound =
			{
				{
				filename = "__base__/sound/fight/rocket-launcher.ogg",
				volume = 0.5
				}
			}
		},
    stack_size = 1
    }
}
)

